## ktp-common-internals 17.08.3

=== CMakeLists.txt ===
project(ktp-common-internals)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)

find_package(ECM 1.7.0 REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
     ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR}
)
cmake_policy(SET CMP0002 OLD)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "17")
set (KDE_APPLICATIONS_VERSION_MINOR "08")
set (KDE_APPLICATIONS_VERSION_MICRO "3")

# Bump for every 0.x release, or whenever BC changes
set (KTP_SONUMBER 9) # SO 9 is for 15.08 release
set (KTP_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
set (KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "5")

find_package (Qt5 REQUIRED CONFIG COMPONENTS
              Qml
              Test)

find_package (KF5 5.11 REQUIRED COMPONENTS
              CoreAddons
              Notifications
              KIO
              WidgetsAddons
              KCMUtils
              NotifyConfig
              TextEditor
              Wallet
              Config
              WindowSystem
              IconThemes
              People)

set(REQUIRED_TPQT_VERSION 0.9.5)

find_package (TelepathyQt5 ${REQUIRED_TPQT_VERSION} REQUIRED)
find_package (TelepathyQt5Service ${REQUIRED_TPQT_VERSION} REQUIRED) #used for the otr-proxy
find_package (TelepathyLoggerQt)

find_package (KAccounts)
find_package (AccountsQt5 1.10 CONFIG)
find_package (SignOnQt5 8.55 CONFIG)
find_package (LibOTR 4.0.0)
find_package (Libgcrypt)
find_package (telepathy-accounts-signon)

if (LIBOTR_FOUND AND LIBGCRYPT_FOUND)
    set(OTR_LIBS_FOUND TRUE)
endif ()

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMMarkNonGuiExecutable)
include(ECMPackageConfigHelpers)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckIncludeFiles)
include(FeatureSummary)

set_package_properties(KF5People PROPERTIES DESCRIPTION "Support for KDE Contact Aggregation"
                       URL "https://projects.kde.org/libkpeople"
                       TYPE OPTIONAL
                      )
set_package_properties(TelepathyLoggerQt PROPERTIES DESCRIPTION "Qt bindings for TelepathyLogger. This is needed to provide access to chat logs. HIGHLY recommended"
                       URL "http://projects.kde.org/telepathy-logger-qt"
                       TYPE OPTIONAL
                      )
set_package_properties(LibOTR PROPERTIES DESCRIPTION "Required for OTR support" TYPE OPTIONAL)
set_package_properties(Libgcrypt PROPERTIES DESCRIPTION "Required for OTR support" TYPE OPTIONAL)

set_package_properties(telepathy-accounts-signon PROPERTIES
                       PURPOSE "Runtime-only dependency on a Telepathy Mission Control plugin, currently residing at https://gitlab.com/accounts-sso/telepathy-accounts-signon"
                       TYPE RUNTIME
                      )

add_definitions(-DKTP_MESSAGE_FILTER_FRAMEWORK_VERSION=\"${KTP_MESSAGE_FILTER_FRAMEWORK_VERSION}\")
add_definitions(-DTRANSLATION_DOMAIN=\"ktp-common-internals\")
add_definitions (
                 -DQT_NO_CAST_FROM_ASCII
                 -DQT_NO_KEYWORDS
                 -std=c++11
)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

include_directories (
                     ${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

if (KF5People_FOUND)
    add_definitions(-DHAVE_KPEOPLE)
    add_subdirectory(kpeople)
endif ()

#If we find KAccounts library, build the plugin for it
if (KAccounts_FOUND AND AccountsQt5_FOUND AND SignOnQt5_FOUND)
    include_directories(${ACCOUNTSQT_INCLUDE_DIRS} ${SIGNONQT_INCLUDE_DIRS})
    add_subdirectory(kaccounts)
endif ()

ecm_setup_version(${KTP_VERSION} VARIABLE_PREFIX KTP
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktp_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KTpConfigVersion.cmake"
                        SOVERSION ${KTP_SONUMBER})

add_subdirectory(KTp)
add_subdirectory(tools)
add_subdirectory(data)
add_subdirectory(tests)

if (OTR_LIBS_FOUND)
    include_directories (${LIBOTR_INCLUDE_DIR}
                         ${LIBGCRYPT_INCLUDE_DIR}
    )
    add_subdirectory(otr-proxy)
endif (OTR_LIBS_FOUND)

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KTp")

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KTpConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KTpConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KTpConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KTpConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KTpTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KTpTargets.cmake NAMESPACE KTp:: COMPONENT Devel)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/control ===
Source: ktp-common-internals
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               doxygen,
               extra-cmake-modules (>= 5~),
               gettext,
               libaccounts-qt5-dev (>= 1.10~),
               libgcrypt20-dev,
               libkaccounts-dev,
               libkf5config-dev (>= 5.11~),
               libkf5coreaddons-dev (>= 5.11~),
               libkf5iconthemes-dev (>= 5.11~),
               libkf5kcmutils-dev (>= 5.11~),
               libkf5kio-dev (>= 5.11~),
               libkf5notifications-dev (>= 5.11~),
               libkf5notifyconfig-dev (>= 5.11~),
               libkf5people-dev (>= 5.11~),
               libkf5texteditor-dev (>= 5.11~),
               libkf5wallet-dev (>= 5.11~),
               libkf5widgetsaddons-dev (>= 5.11~),
               libkf5windowsystem-dev (>= 5.11~),
               libotr5-dev (>= 4.0.0~),
               libsignon-qt5-dev (>= 8.55~),
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ktp-common-internals.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ktp-common-internals.git

Package: kde-telepathy-data
Section: kde
Architecture: all
Depends: ${misc:Depends}
Breaks: kde-config-telepathy-accounts (<< 17.08),
        kde-telepathy-approver (<< 17.08),
        kde-telepathy-auth-handler (<< 17.08),
        kde-telepathy-call-ui (<< 17.08),
        kde-telepathy-contact-list (<< 17.08),
        kde-telepathy-filetransfer-handler (<< 17.08),
        kde-telepathy-integration-module (<< 17.08),
        kde-telepathy-send-file (<< 17.08),
        kde-telepathy-text-ui (<< 17.08),
        plasma-runner-telepathy-contact (<< 17.08),
        ${kde-l10n:all},
Replaces: ${kde-l10n:all}
Description: Shared data for all the KDE Telepathy components
 This package contains KDE Telepathy shared data.
 .
 These various data files are used by nearly all the different KDE
 Telepathy components, and include files such as icons and
 translations.

Package: kde-telepathy-debugger
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Debugging tool for KDE Telepathy
 This package contains a GUI debugging tool which can be used to debug
 issues in Telepathy.
 .
 It will show the debugging messages from the various telepathy
 components.

Package: kde-telepathy-kaccounts
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kaccounts plugins for kde-telepathy
 This links KDE telepathy to kaccounts and vice versa, allowing migrating
 settings from telepathy internal storage to a system-wide shared accounts
 management system.
 .
 This contains plugins to work with kaccounts.
Breaks: kde-config-telepathy-accounts (<< 17.08)

Package: kde-telepathy-kpeople
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-config-telepathy-accounts (<< 17.08),
        kde-telepathy-contact-list (<< 17.08),
        kde-telepathy-data (<< 0.9.0),
Replaces: kde-telepathy-data (<< 0.9.0)
Description: kpeople plugins for kde-telepathy
 This contains plugins to allow kde-telepathy to use kpeople,
 This is necessary for grouping multiple IM accounts into
 meta-contacts.

Package: libktp-dev
Section: libdevel
Architecture: any
Depends: libkf5wallet-dev (>= 5.11~),
         libktpcommoninternals9 (= ${binary:Version}),
         libktplogger9 (= ${binary:Version}),
         libktpmodels9 (= ${binary:Version}),
         libktpotr9 (= ${binary:Version}),
         libktpwidgets9 (= ${binary:Version}),
         libtelepathy-logger-qt-dev (>= 17.08~),
         ${misc:Depends},
Breaks: libktpcommoninternalsprivate-dev (<< 15.03.80)
Replaces: libktpcommoninternalsprivate-dev (<< 15.03.80)
Description: KDE Telepathy internal library - Development headers
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This package contains development headers for
 the ktp-common-internals library.
 .
 You should not use this library for developing applications
 outside of the KDE Telepathy project umbrella. This package
 is only provided for compiling the rest of the components.

Package: libktpcommoninternals9
Architecture: any
Depends: kaccounts-integration (>= 15.04),
         libkf5people5 (>= 0.3.0),
         libtelepathy-logger-qt5 (>= 15.04),
         telepathy-accounts-signon,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-telepathy-kaccounts (= ${binary:Version}),
            kde-telepathy-kpeople (= ${binary:Version}),
Replaces: libktpcommoninternalsprivate6 (<< 0.7.80)
Breaks: kde-telepathy-auth-handler (<< 17.08),
        kde-telepathy-call-ui (<< 17.08),
        kde-telepathy-contact-list (<< 17.08),
        kde-telepathy-filetransfer-handler (<< 17.08),
        kde-telepathy-integration-module (<< 17.08),
        kde-telepathy-send-file (<< 17.08),
        kde-telepathy-text-ui (<< 17.08),
        libktpcommoninternalsprivate6 (<< 0.7.80),
        libktpcommoninternalsprivate7,
        plasma-runner-telepathy-contact (<< 17.08),
Description: KDE Telepathy common internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This contains the generic common components.

Package: libktplogger9
Architecture: any
Breaks: kde-telepathy-contact-list (<< 17.08),
        kde-telepathy-text-ui (<< 17.08),
        libktploggerprivate7 (<< 0.8.80~),
Replaces: libktploggerprivate7 (<< 0.8.80~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy internal logger library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes the shared KDE-Telepathy logger service.

Package: libktpmodels9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy data models internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes Qt models.
Breaks: kde-telepathy-contact-list (<< 17.08),
        kde-telepathy-send-file (<< 17.08),
        kde-telepathy-text-ui (<< 17.08),

Package: libktpotr9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-telepathy-text-ui (<< 17.08), libktpotrprivate8 (<< 15.03)
Replaces: libktpotrprivate8 (<< 15.03)
Description: KDE Telepathy internal OTR library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes components to support OTR

Package: libktpwidgets9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy common internal widgets library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This also includes common widgets like the contact grid.
Breaks: kde-telepathy-call-ui (<< 17.08),
        kde-telepathy-contact-list (<< 17.08),
        kde-telepathy-integration-module (<< 17.08),
        kde-telepathy-send-file (<< 17.08),
        kde-telepathy-text-ui (<< 17.08),

Package: qml-module-org-kde-telepathy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kde-telepathy-declarative (<< 15.03)
Breaks: kde-telepathy-call-ui (<< 17.08),
        kde-telepathy-declarative (<< 15.03),
        kde-telepathy-desktop-applets (<< 17.08),
Description: kde-telepathy QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-Telepathy to components written
 in QML.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libktp-dbg (<= 15.12.1-1~~)'

## ktp-common-internals 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "17")
-set (KDE_APPLICATIONS_VERSION_MINOR "08")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 
 # Bump for every 0.x release, or whenever BC changes

=== debian/changelog ===
ktp-common-internals (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:31:23 +0000

ktp-common-internals (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New beta
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:01:09 +0000

ktp-common-internals (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Package priority 'extra' is depreciated in favour of 'optional'
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:10:48 +0000

=== debian/control ===
Source: ktp-common-internals
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               doxygen,
               extra-cmake-modules (>= 5.31.0~),
               gettext,
               libaccounts-qt5-dev (>= 1.10~),
               libgcrypt20-dev,
               libkaccounts-dev (>= 4:17.12.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5people-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libotr5-dev (>= 4.0.0~),
               libsignon-qt5-dev,
               libtelepathy-logger-qt-dev (>= 15.04),
               libtelepathy-qt5-dev (>= 0.9.5),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               telepathy-accounts-signon
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-common-internals
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-common-internals

Package: libktp-dev
Section: libdevel
Architecture: any
Depends: libktpcommoninternals9 (= ${binary:Version}),
         libktplogger9 (= ${binary:Version}),
         libktpmodels9 (= ${binary:Version}),
         libktpotr9 (= ${binary:Version}),
         libktpwidgets9 (= ${binary:Version}),
         libtelepathy-logger-qt-dev (>= 15.04),
         ${misc:Depends}
Breaks: libktpcommoninternalsprivate-dev (<< 15.03.80)
Replaces: libktpcommoninternalsprivate-dev (<< 15.03.80)
Description: KDE Telepathy internal library - Development headers
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This package contains development headers for
 the ktp-common-internals library.
 .
 You should not use this library for developing applications
 outside of the KDE Telepathy project umbrella. This package
 is only provided for compiling the rest of the components.

Package: libktpcommoninternals9
Architecture: any
Depends: kaccounts-integration (>= 4:15.12.2),
         kde-telepathy-data (= ${source:Version}),
         ${misc:Depends},
         libkf5people5 (>= 0.3.0),
         libtelepathy-logger-qt5 (>= 15.04),
         telepathy-accounts-signon,
         ${shlibs:Depends}
Recommends: kde-telepathy-kaccounts (= ${binary:Version}),
            kde-telepathy-kpeople (= ${binary:Version})
Replaces: libktpcommoninternalsprivate6 (<< 0.7.80)
Breaks: libktpcommoninternalsprivate6 (<< 0.7.80)
Description: KDE Telepathy common internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This contains the generic common components.

Package: libktpmodels9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy data models internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes Qt models.

Package: libktpwidgets9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy common internal widgets library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This also includes common widgets like the contact grid.

Package: libktplogger9
Architecture: any
Breaks: libktploggerprivate7 (<< 0.8.80~)
Replaces: libktploggerprivate7 (<< 0.8.80~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy internal logger library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes the shared KDE-Telepathy logger service.

Package: libktpotr9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libktpotrprivate8 (<< 15.03)
Replaces: libktpotrprivate8 (<< 15.03)
Description: KDE Telepathy internal OTR library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes components to support OTR

Package: qml-module-org-kde-telepathy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kde-telepathy-declarative (<< 15.03)
Breaks: kde-telepathy-declarative (<< 15.03)
Description: kde-telepathy QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-Telepathy to components written
 in QML.

Package: kde-telepathy-data
Section: kde
Architecture: all
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Shared data for all the KDE Telepathy components
 This package contains KDE Telepathy shared data.
 .
 These various data files are used by nearly all the different KDE
 Telepathy components, and include files such as icons and
 translations.

Package: kde-telepathy-kpeople
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-telepathy-data (<< 0.9.0)
Replaces: kde-telepathy-data (<< 0.9.0)
Description: kpeople plugins for kde-telepathy
 This contains plugins to allow kde-telepathy to use kpeople,
 This is necessary for grouping multiple IM accounts into
 meta-contacts.

Package: kde-telepathy-kaccounts
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kaccounts plugins for kde-telepathy
 This links KDE telepathy to kaccounts and vice versa, allowing migrating
 settings from telepathy internal storage to a system-wide shared accounts
 management system.
 .
 This contains plugins to work with kaccounts.

Package: kde-telepathy-debugger
Priority: optional
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Debugging tool for KDE Telepathy
 This package contains a GUI debugging tool which can be used to debug
 issues in Telepathy.
 .
 It will show the debugging messages from the various telepathy
 components.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-common-internals-([\d.]+)\.tar\.(?:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-common-internals-([\d.]+)\.tar\.(?:bz2|xz)

## ktp-common-internals 18.04.3

=== debian/changelog ===
ktp-common-internals (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * Update install files
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:21:29 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                gettext,
                libaccounts-qt5-dev (>= 1.10~),
                libgcrypt20-dev,
-               libkaccounts-dev (>= 4:17.12.3~),
+               libkaccounts-dev (>= 4:18.04.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
@@ -32,7 +32,7 @@
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
-               telepathy-accounts-signon
+               telepathy-accounts-signon,
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-common-internals
@@ -47,7 +47,7 @@
          libktpotr9 (= ${binary:Version}),
          libktpwidgets9 (= ${binary:Version}),
          libtelepathy-logger-qt-dev (>= 15.04),
-         ${misc:Depends}
+         ${misc:Depends},
 Breaks: libktpcommoninternalsprivate-dev (<< 15.03.80)
 Replaces: libktpcommoninternalsprivate-dev (<< 15.03.80)
 Description: KDE Telepathy internal library - Development headers

## ktp-common-internals 18.12.3

=== debian/changelog ===
ktp-common-internals (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:33:01 +0000

ktp-common-internals (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:20:05 +0000

ktp-common-internals (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:13:58 +0000

ktp-common-internals (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:52:12 +0000

ktp-common-internals (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Build depend on libaccounts-glib-dev.
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Keep our symbols files.
    - Bumped build deps.
    - Kubuntu Vcs fields.
    - Breaks/Replaces to suit Kubuntu upload history.
    - d/meta/cmake-ignore: For Kubuntu CI.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 04 Jan 2019 10:37:36 +0000

=== debian/control ===
Source: ktp-common-internals
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               doxygen,
               extra-cmake-modules (>= 5.31.0~),
               gettext,
               libaccounts-glib-dev,
               libaccounts-qt5-dev (>= 1.10~),
               libgcrypt20-dev,
               libkaccounts-dev (>= 4:18.12.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5people-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libotr5-dev (>= 4.0.0~),
               libsignon-qt5-dev,
               libtelepathy-logger-qt-dev (>= 15.04),
               libtelepathy-qt5-dev (>= 0.9.5),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               telepathy-accounts-signon,
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-common-internals
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-common-internals

Package: kde-telepathy-data
Section: kde
Architecture: all
Depends: ${misc:Depends}
Breaks: kde-telepathy-debugger (<< 4:18.08.3~), ${kde-l10n:all}
Replaces: kde-telepathy-debugger (<< 4:18.08.3~), ${kde-l10n:all}
Description: Shared data for all the KDE Telepathy components
 This package contains KDE Telepathy shared data.
 .
 These various data files are used by nearly all the different KDE
 Telepathy components, and include files such as icons and
 translations.

Package: kde-telepathy-debugger
Priority: optional
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Debugging tool for KDE Telepathy
 This package contains a GUI debugging tool which can be used to debug
 issues in Telepathy.
 .
 It will show the debugging messages from the various telepathy
 components.

Package: kde-telepathy-kaccounts
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kaccounts plugins for kde-telepathy
 This links KDE telepathy to kaccounts and vice versa, allowing migrating
 settings from telepathy internal storage to a system-wide shared accounts
 management system.
 .
 This contains plugins to work with kaccounts.

Package: kde-telepathy-kpeople
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-telepathy-data (<< 0.9.0)
Replaces: kde-telepathy-data (<< 0.9.0)
Description: kpeople plugins for kde-telepathy
 This contains plugins to allow kde-telepathy to use kpeople,
 This is necessary for grouping multiple IM accounts into
 meta-contacts.

Package: libktp-dev
Section: libdevel
Architecture: any
Depends: libkf5wallet-dev (>= 5.11~),
         libktpcommoninternals9 (= ${binary:Version}),
         libktplogger9 (= ${binary:Version}),
         libktpmodels9 (= ${binary:Version}),
         libktpotr9 (= ${binary:Version}),
         libktpwidgets9 (= ${binary:Version}),
         libtelepathy-logger-qt-dev (>= 17.08~),
         ${misc:Depends},
Breaks: libktpcommoninternalsprivate-dev (<< 15.03.80)
Replaces: libktpcommoninternalsprivate-dev (<< 15.03.80)
Description: KDE Telepathy internal library - Development headers
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This package contains development headers for
 the ktp-common-internals library.
 .
 You should not use this library for developing applications
 outside of the KDE Telepathy project umbrella. This package
 is only provided for compiling the rest of the components.

Package: libktpcommoninternals9
Architecture: any
Depends: kaccounts-integration (>= 4:15.12.2),
         kde-telepathy-data (= ${source:Version}),
         libkf5people5 (>= 0.3.0),
         libtelepathy-logger-qt5 (>= 15.04),
         telepathy-accounts-signon,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-telepathy-kaccounts (= ${binary:Version}),
            kde-telepathy-kpeople (= ${binary:Version}),
Replaces: libktpcommoninternalsprivate6 (<< 0.7.80)
Breaks: libktpcommoninternalsprivate6 (<< 0.7.80)
Description: KDE Telepathy common internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This contains the generic common components.

Package: libktplogger9
Architecture: any
Breaks: libktploggerprivate7 (<< 0.8.80~)
Replaces: libktploggerprivate7 (<< 0.8.80~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy internal logger library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes the shared KDE-Telepathy logger service.

Package: libktpmodels9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy data models internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes Qt models.

Package: libktpotr9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libktpotrprivate8 (<< 15.03)
Replaces: libktpotrprivate8 (<< 15.03)
Description: KDE Telepathy internal OTR library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes components to support OTR

Package: libktpwidgets9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy common internal widgets library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This also includes common widgets like the contact grid.

Package: qml-module-org-kde-telepathy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kde-telepathy-declarative (<< 15.03)
Breaks: kde-telepathy-declarative (<< 15.03)
Description: kde-telepathy QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-Telepathy to components written
 in QML.

## ktp-common-internals 19.04.3

=== debian/changelog ===
ktp-common-internals (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:18:41 +0100

ktp-common-internals (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:12:24 +0100

ktp-common-internals (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:02:18 +0100

ktp-common-internals (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * Update install files.
  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:47:56 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libaccounts-glib-dev,
                libaccounts-qt5-dev (>= 1.10~),
                libgcrypt20-dev,
-               libkaccounts-dev (>= 4:18.12.3~),
+               libkaccounts-dev (>= 4:19.04.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),

## ktp-common-internals 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 cmake_policy(SET CMP0002 OLD)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "17")
+set (KDE_APPLICATIONS_VERSION_MAJOR "19")
 set (KDE_APPLICATIONS_VERSION_MINOR "12")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 
@@ -20,8 +20,10 @@
 set (KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "5")
 
 find_package (Qt5 REQUIRED CONFIG COMPONENTS
+              DBus
               Qml
-              Test)
+              Test
+              Xml)
 
 find_package (KF5 5.11 REQUIRED COMPONENTS
               CoreAddons
@@ -68,11 +70,11 @@
 include(FeatureSummary)
 
 set_package_properties(KF5People PROPERTIES DESCRIPTION "Support for KDE Contact Aggregation"
-                       URL "https://projects.kde.org/libkpeople"
+                       URL "https://commits.kde.org/kpeople"
                        TYPE OPTIONAL
                       )
 set_package_properties(TelepathyLoggerQt PROPERTIES DESCRIPTION "Qt bindings for TelepathyLogger. This is needed to provide access to chat logs. HIGHLY recommended"
-                       URL "http://projects.kde.org/telepathy-logger-qt"
+                       URL "https://commits.kde.org/telepathy-logger-qt"
                        TYPE OPTIONAL
                       )
 set_package_properties(LibOTR PROPERTIES DESCRIPTION "Required for OTR support" TYPE OPTIONAL)

=== KTp/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR})

set (ktp_common_internals_private_SRCS
     abstract-message-filter.cpp
     account-factory.cpp
     actions.cpp
     capabilities-hack-private.cpp
     circular-countdown.cpp
     contact.cpp
     contact-factory.cpp
     core.cpp
     debug.cpp
     error-dictionary.cpp
     global-contact-manager.cpp
     global-presence.cpp
     logs-importer.cpp
     logs-importer-private.cpp
     message.cpp
     message-context.cpp
     message-escape-filter.cpp
     message-filter-config-manager.cpp
     message-processor.cpp
     outgoing-message.cpp
     persistent-contact.cpp
     presence.cpp
     service-availability-checker.cpp
     telepathy-handler-application.cpp
     text-parser.cpp
     pending-wallet.cpp
     wallet-interface.cpp
     wallet-utils.cpp
)

set (ktp_common_internals_private_HDRS
     abstract-message-filter.h
     actions.h
     circular-countdown.h
     contact.h
     contact-factory.h
     core.h
     debug.h
     error-dictionary.h
     global-contact-manager.h
     global-presence.h
     logs-importer.h
     message-filter-config-manager.h
     message.h
     message-context.h
     message-processor.h
     outgoing-message.h
     persistent-contact.h
     presence.h
     service-availability-checker.h
     telepathy-handler-application.h
     text-parser.h
     pending-wallet.h
     wallet-interface.h
     wallet-utils.h
     types.h
     ${CMAKE_CURRENT_BINARY_DIR}/ktpcommoninternals_export.h
)

if (TelepathyLoggerQt_FOUND)
    set (ktp_private_LIBS
         ${ktp_private_LIBS}
         ${TELEPATHY_LOGGER_LIBRARIES}
         )
endif ()

if (KF5People_FOUND)
    set (ktp_private_LIBS
         ${ktp_private_LIBS}
         KF5::People
         )
endif()

add_library (KTpCommonInternals
                 ${ktp_common_internals_private_SRCS}
)
add_library (KTp::CommonInternals ALIAS KTpCommonInternals)

generate_export_header(KTpCommonInternals BASE_NAME KTpCommonInternals)

#Raise SOVERSION for every 0.x cycle
set_target_properties(KTpCommonInternals PROPERTIES
                                        VERSION ${KTP_VERSION}
                                        SOVERSION ${KTP_SONUMBER}
                                        EXPORT_NAME CommonInternals
                                        DEFINE_SYMBOL MAKE_KTP_LIB)

target_link_libraries (KTpCommonInternals
                PUBLIC
                    Qt5::DBus
                    Qt5::Xml
                    KF5::Wallet #included from wallet-interface.h
                    ${TELEPATHY_QT5_LIBRARIES}
                PRIVATE
                    ${ktp_private_LIBS}
                    KF5::KIOWidgets
                    KF5::I18n
                    KF5::IconThemes
                    KF5::Notifications
                    KF5::IconThemes
)
target_include_directories(KTpCommonInternals PUBLIC ${TELEPATHY_QT5_INCLUDE_DIR}) # TODO: Remove when TelepathyQt exports include paths properly

install (TARGETS KTpCommonInternals
         EXPORT KTpTargets
         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install (FILES ${ktp_common_internals_private_HDRS}
         DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KTp
)

add_subdirectory(Declarative)
add_subdirectory(Models)
add_subdirectory(Widgets)
add_subdirectory(Logger)
add_subdirectory(OTR)

# API docs
find_package(Doxygen)

if(DOXYGEN_EXECUTABLE)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

  add_custom_target(
    apidox
    COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile)
endif()

=== kaccounts/CMakeLists.txt ===
project(kaccounts-integration-plugin)

include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

set(kaccounts_ktp_plugin_SRCS
    kaccounts-ktp-plugin.cpp
)

add_library(kaccounts_ktp_plugin MODULE ${kaccounts_ktp_plugin_SRCS})

target_link_libraries(kaccounts_ktp_plugin
                      Qt5::Core
                      Qt5::DBus
                      KF5::ConfigCore
                      KF5::CoreAddons
                      KTp::Logger
                      KAccounts
                      ${ACCOUNTSQT_LIBRARIES}
                      ${SIGNONQT_LIBRARIES}
)

# Install:
install (TARGETS kaccounts_ktp_plugin
         DESTINATION ${PLUGIN_INSTALL_DIR}/kaccounts/daemonplugins
)

=== KTp/Declarative/CMakeLists.txt ===

include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

set (ktp_qml_plugin_SRCS
    conversation.cpp
    conversations-model.cpp
    messages-model.cpp
    pinned-contacts-model.cpp
    filtered-pinned-contacts-proxy-model.cpp
    contact-pin.cpp
    telepathy-manager.cpp
    qml-plugins.cpp
    debug.cpp
)

add_library (ktpqmlplugin SHARED ${ktp_qml_plugin_SRCS})

target_link_libraries (ktpqmlplugin
    Qt5::Qml
    
    KF5::WindowSystem
    KF5::I18n
    KTp::CommonInternals
    KTp::Logger
    KTp::Models
    KTp::Widgets
)

install (TARGETS ktpqmlplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/telepathy)
install (FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/telepathy)

=== kpeople/datasourceplugin/CMakeLists.txt ===
find_package(Qt5Sql REQUIRED)

kcoreaddons_add_plugin (im_persons_data_source_plugin SOURCES im-persons-data-source.cpp debug.cpp JSON "im_persons_data_source_plugin.json" INSTALL_NAMESPACE "kpeople/datasource")

target_link_libraries (im_persons_data_source_plugin
    Qt5::Sql
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::People
    KF5::PeopleBackend
    KTp::CommonInternals
)

=== otr-proxy/KTpProxy/CMakeLists.txt ===
set(ktp-proxy_SRCS
        proxy-observer.cpp
        proxy-service-adaptee.cpp
        proxy-service.cpp
        svc-channel-proxy.cpp
        svc-proxy-service.cpp
        otr-proxy-channel.cpp
        otr-proxy-channel-adaptee.cpp
        pending-curry-operation.cpp
        otr-session.cpp
        otr-manager.cpp
        otr-message.cpp
        otr-config.cpp
        otr-utils.cpp
        ktp-proxy-debug.cpp
)

kconfig_add_kcfg_files(ktp-proxy_SRCS ktp-proxy-config.kcfgc)

add_library(ktp-proxy-lib STATIC ${ktp-proxy_SRCS})

set(ktp-proxy_LIBS
        ${LIBOTR_LIBRARY}
        ${LIBGCRYPT_LIBRARIES}
        ${TELEPATHY_QT5_SERVICE_LIBRARIES}
        KTp::CommonInternals
        KTp::OTR
        KF5::ConfigGui
)

target_link_libraries(ktp-proxy-lib ${ktp-proxy_LIBS})

add_executable(ktp-proxy main.cpp)
target_link_libraries(ktp-proxy ktp-proxy-lib)

install(TARGETS ktp-proxy DESTINATION ${LIBEXEC_INSTALL_DIR})
install(FILES ktp-proxy-config.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== otr-proxy/test/CMakeLists.txt ===
add_subdirectory(lib)

set(ktp-proxy-test_LIBS
        Qt5::Test
        ${TELEPATHY_QT5_LIBRARIES}
        ${TELEPATHY_QT5_SERVICE_LIBRARIES}
        ktp-proxy-test-lib
        KTp::OTR
)

message("-- Adding test files:")
file(GLOB TEST_FILES "*.cpp")
set(TEST_NAMES "")

set(CMAKE_AUTOMOC ON)

foreach(file ${TEST_FILES})
    get_filename_component(base_name ${file} NAME_WE)
    get_filename_component(full_name ${file} NAME)

    add_executable(${base_name} ${full_name} )
    target_link_libraries (${base_name} ${ktp-proxy-test_LIBS})

    LIST(APPEND TEST_NAMES ${base_name})
endforeach()

message("--   Tests found:")
foreach(test ${TEST_NAMES})
    message("--    " ${test})
endforeach()

add_custom_target(copy_resources)
add_custom_command(TARGET copy_resources PRE_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy_directory
    ${CMAKE_CURRENT_SOURCE_DIR}/resources ${CMAKE_CURRENT_BINARY_DIR}/resources)

ADD_CUSTOM_TARGET(check COMMAND ${CMAKE_CTEST_COMMAND} DEPENDS ${TEST_NAMES} copy_resources)

=== debian/changelog ===
ktp-common-internals (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:15:00 +0000

ktp-common-internals (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:24:28 +0000

ktp-common-internals (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:58:44 +0000

ktp-common-internals (4:19.12.0-0ubuntu1) focal; urgency=medium

  * Drop upstream applied upstream_fix_build_telepathy-qt_0.9.8.diff
  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:52:25 +0000

ktp-common-internals (4:19.08.3-0ubuntu2) focal; urgency=medium

  * Add upstream_fix_build_telepathy-qt_0.9.8.diff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 08 Dec 2019 13:44:01 +0000

ktp-common-internals (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:37:04 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libaccounts-glib-dev,
                libaccounts-qt5-dev (>= 1.10~),
                libgcrypt20-dev,
-               libkaccounts-dev (>= 4:19.04.3~),
+               libkaccounts-dev (>= 4:19.12.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-l10npkgs_firstversion_ok := 4:16.04.3-7~
+l10npkgs_firstversion_ok := 4:17.03.90-0~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
